<?php
$bosa_business_firm_page_one 	= get_theme_mod( 'bosa_business_firm_centerstage_event_page_one', '' );
$bosa_business_firm_page_two 	= get_theme_mod( 'bosa_business_firm_centerstage_event_page_two', '' );
$bosa_business_firm_page_three  = get_theme_mod( 'bosa_business_firm_centerstage_event_page_three', '' );
$bosa_business_firm_page_four   = get_theme_mod( 'bosa_business_firm_centerstage_event_page_four', '' );
$bosa_business_firm_page_five   = get_theme_mod( 'bosa_business_firm_centerstage_event_page_five', '');

$bosa_business_firm_page_array = array();
$bosa_business_firm_has_page = false;
$bosa_business_firm_has_array = false;
if( !empty( $bosa_business_firm_page_one ) ){
	$bosa_business_firm_has_page = true;	
}
if( !empty( $bosa_business_firm_page_two ) ){
	$bosa_business_firm_has_page = true;
	$bosa_business_firm_has_array = true;
	$bosa_business_firm_page_array['page_two'] = array(
		'ID' => $bosa_business_firm_page_two,
	);
}
if( !empty( $bosa_business_firm_page_three ) ){
	$bosa_business_firm_has_page = true;
	$bosa_business_firm_has_array = true;
	$bosa_business_firm_page_array['page_three'] = array(
		'ID' => $bosa_business_firm_page_three,
	);
}
if( !empty( $bosa_business_firm_page_four ) ){
	$bosa_business_firm_has_page = true;
	$bosa_business_firm_has_array = true;
	$bosa_business_firm_page_array['page_four'] = array(
		'ID' => $bosa_business_firm_page_four,
	);
}
if( !empty( $bosa_business_firm_page_five ) ){
	$bosa_business_firm_has_page = true;
	$bosa_business_firm_has_array = true;
	$bosa_business_firm_page_array['page_five'] = array(
		'ID' => $bosa_business_firm_page_five,
	);
}

if( !get_theme_mod( 'bosa_business_firm_disable_centerstage_event_section', true ) && $bosa_business_firm_has_page ){ ?>
	<section class="section-centerstage-event-area">
		<?php if( !empty( $bosa_business_firm_page_one ) ){ ?>
			<div class="section-title-wrap text-center col-lg-6 offset-lg-3 col-md-8 offset-md-2">
				<h2 class="section-title">
					<a href="<?php echo esc_url( get_permalink( $bosa_business_firm_page_one ) ); ?>">
						<?php echo esc_html( get_the_title( $bosa_business_firm_page_one ) ); ?>
					</a>
				</h2>
				<p>
					<?php 
					$bosa_business_firm_excerpt = get_the_excerpt( $bosa_business_firm_page_one );
					$bosa_business_firm_result  = wp_trim_words( $bosa_business_firm_excerpt, 18, '' );
					echo esc_html( $bosa_business_firm_result );?>	
				</p>
			</div>
		<?php }
		if ( $bosa_business_firm_has_array ){ ?>
			<div class="row">
				<?php foreach( $bosa_business_firm_page_array as $bosa_business_firm_each_page ){ ?>
					<div class="col-12">
						<div class="event-wrapper">
							<article class="event-iconbox">
								<div class="event-icon">
									<i class="fas fa-calendar-check"></i>
								</div>
								<div class="entry-content">
									<h3 class="entry-title">
										<a href="<?php echo esc_url( get_permalink( $bosa_business_firm_each_page[ 'ID' ] ) ); ?>">
											<?php echo esc_html( get_the_title( $bosa_business_firm_each_page[ 'ID' ] ) ); ?>
										</a>
									</h3>
									<div class="entry-text">
										<?php 
										$bosa_business_firm_excerpt = get_the_excerpt( $bosa_business_firm_each_page[ 'ID' ] );
										$bosa_business_firm_result  = wp_trim_words( $bosa_business_firm_excerpt, 15, '' );
										echo esc_html( $bosa_business_firm_result );
										?>
									</div>
								</div>
								<a href="<?php echo esc_url( get_permalink( $bosa_business_firm_each_page[ 'ID' ] ) ); ?>" class="event-page-link">
									<i class="fas fa-plus"></i>
								</a>
							</article>
						</div>
					</div>
				<?php } ?>
			</div>
		<?php } ?>
	</section>	
<?php } 